import { AuthRepository } from '@app/domain/authentification/auth.repository';

export class SendRequestPasswordResetUsecase {
  constructor(private readonly authRepo: AuthRepository) {}

  execute(email: string) {
    return this.authRepo.sendRequestPasswordReset(email);
  }
}
